### Hierarchy

- DataTransferItemList

### Indexable

[name: number]: DataTransferItem

## Index

### Properties

- length

### Methods

- add
- clear
- item
- remove

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3903

Returns the number of items in the drag data store.

## Methods

### add

- add(data: string, type: string): DataTransferItem | null
- add(data: File): DataTransferItem | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3909

  Adds a new entry for the given data to the drag data store. If the data is plain text then a type string has to be provided also.

  #### Parameters

  - ##### data: string

  - ##### type: string

  #### Returns DataTransferItem | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3910

  #### Parameters

  - ##### data: File

  #### Returns DataTransferItem | null

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3914

  Removes all the entries in the drag data store.

  #### Returns void

### item

- item(index: number): DataTransferItem

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3915

  #### Parameters

  - ##### index: number

  #### Returns DataTransferItem

### remove

- remove(index: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3919

  Removes the indexth entry in the drag data store.

  #### Parameters

  - ##### index: number

  #### Returns void

Generated using TypeDoc